apport-collect crashes when collecting firefox information

Bug #1856707 reported by Seija Kijin on 2019-12-17
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
firefox (Ubuntu)
Medium
Olivier Tilloy

Bug Description

Whenever I attempt to run "apport-collect -p firefox" and then put in a bug report ID, the apport collection runs, but then crashes with the following:

ERROR: hook /usr/share/apport/package-hooks/source_firefox.py crashed:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport/report.py", line 205, in _run_hook
    symb['add_info'](report, ui)
  File "/usr/share/apport/package-hooks/source_firefox.py", line 1386, in add_info
    if (profile.current or profile.default) and profile.addon_compat_check_disabled:
  File "/usr/share/apport/package-hooks/source_firefox.py", line 1227, in addon_compat_check_disabled
    is_nightly = re.sub(r'^[^\.]+\.[0-9]+([a-z0-9]*).*', r'\1', self.last_version) == 'a1'
  File "/usr/lib/python3.7/re.py", line 192, in sub
    return _compile(pattern, flags).sub(repl, string, count)
TypeError: expected string or bytes-like object

As a result, apport is unable to collect certain kinds of information.

This can be reproduced by simply running apport-collect for firefox (the ubuntu default version)

Description: Ubuntu 19.10
Release: 19.10

apport:
  Installed: 2.20.11-0ubuntu8.2
  Candidate: 2.20.11-0ubuntu8.2
  Version table:
 *** 2.20.11-0ubuntu8.2 500
        500 http://us.archive.ubuntu.com/ubuntu eoan-updates/main amd64 Packages
        500 http://us.archive.ubuntu.com/ubuntu eoan-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu eoan-security/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu eoan-security/main i386 Packages
        100 /var/lib/dpkg/status
     2.20.11-0ubuntu8 500
        500 http://us.archive.ubuntu.com/ubuntu eoan/main amd64 Packages
        500 http://us.archive.ubuntu.com/ubuntu eoan/main i386 Packages

firefox:
  Installed: 71.0+build5-0ubuntu0.19.10.1
  Candidate: 71.0+build5-0ubuntu0.19.10.1
  Version table:
 *** 71.0+build5-0ubuntu0.19.10.1 500
        500 http://us.archive.ubuntu.com/ubuntu eoan-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu eoan-security/main amd64 Packages
        100 /var/lib/dpkg/status
     69.0.3+build1-0ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu eoan/main amd64 Packages

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: apport 2.20.11-0ubuntu8.2
ProcVersionSignature: Ubuntu 5.3.0-24.26-generic 5.3.10
Uname: Linux 5.3.0-24-generic x86_64
ApportLog:

ApportVersion: 2.20.11-0ubuntu8.2
Architecture: amd64
CrashReports:
 600:118:124:37:2019-12-15 15:50:26.592426486 -0500:2019-12-15 15:39:57.663061956 -0500:/var/crash/_usr_bin_gnome-font-viewer.1000.uploaded
 644:0:124:0:2019-12-15 15:50:24.620455221 -0500:2019-12-15 15:50:24.620455221 -0500:/var/crash/_usr_bin_gnome-font-viewer.1000.upload
CurrentDesktop: ubuntu:GNOME
Date: Tue Dec 17 08:25:29 2019
InstallationDate: Installed on 2019-11-20 (26 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.apport.crashdb.conf: 2019-11-27T12:43:30.211160
---
ProblemType: Bug
ApportVersion: 2.20.11-0ubuntu8.2
Architecture: amd64
BuildID: 20191205203726
CurrentDesktop: ubuntu:GNOME
DefaultProfileExtensions: extensions.sqlite corrupt or missing
DefaultProfileIncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
DefaultProfileLocales: extensions.sqlite corrupt or missing
DefaultProfilePrefErrors: Unexpected character ',' before close parenthesis @ /usr/lib/firefox/omni.ja:greprefs.js:722
DefaultProfileThemes: extensions.sqlite corrupt or missing
DistroRelease: Ubuntu 19.10
InstallationDate: Installed on 2019-11-20 (26 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
Package: firefox 71.0+build5-0ubuntu0.19.10.1
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 5.3.0-24.26-generic 5.3.10
Profiles:
 Profile1 (Default) - LastVersion=None/None (Out of date)
 Profile0 - LastVersion=71.0/20191205203726 (In use)
Tags: eoan
Uname: Linux 5.3.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
_MarkForUpload: True
mtime.conffile..etc.apport.crashdb.conf: 2019-11-27T12:43:30.211160

Seija Kijin (doremylover) wrote :
tags: added: apport-collected
description: updated

apport information

apport information

apport information

Brian Murray (brian-murray) wrote :

This crash is in the source package hook for firefox, so I'm reassigning the bug to that package.

affects: apport (Ubuntu) → firefox (Ubuntu)
Olivier Tilloy (osomon) on 2020-01-08
Changed in firefox (Ubuntu):
status: New → Confirmed
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → Medium
Olivier Tilloy (osomon) wrote :
Changed in firefox (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 72.0.2+build1-0ubuntu0.19.10.1

---------------
firefox (72.0.2+build1-0ubuntu0.19.10.1) eoan; urgency=medium

  * New upstream stable release (72.0.2+build1)

  * Fix an exception in the apport hook (LP: #1856707)
    - debian/apport/source_firefox.py.in

 -- Olivier Tilloy <email address hidden> Mon, 20 Jan 2020 11:24:30 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 72.0.2+build1-0ubuntu0.18.04.1

---------------
firefox (72.0.2+build1-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream stable release (72.0.2+build1)

  * Fix an exception in the apport hook (LP: #1856707)
    - debian/apport/source_firefox.py.in

 -- Olivier Tilloy <email address hidden> Mon, 20 Jan 2020 10:58:32 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers